Bug 731113 - ccs does not provide a useful error message when it parses a bad cluster.conf
Summary: ccs does not provide a useful error message when it parses a bad cluster.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ricci
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Chris Feist
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 727267 756082
TreeView+ depends on / blocked
 
Reported: 2011-08-16 18:18 UTC by Chris Feist
Modified: 2018-11-27 21:28 UTC (History)
7 users (show)

Fixed In Version: ricci-0.16.2-48.el6
Doc Type: Bug Fix
Doc Text:
Cause: ccs is used to parse an invalid cluster.conf file Consequence: ccs issues a traceback Fix: ccs now checks to see if the cluster.conf is invalid Result: If cluster.conf is invalid ccs prints a more helpful error message and exits gracefully
Clone Of: 731041
Environment:
Last Closed: 2012-06-20 14:13:26 UTC


Attachments (Terms of Use)
Patch to fix issue (921 bytes, patch)
2011-08-16 18:32 UTC, Chris Feist
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0898 normal SHIPPED_LIVE ricci bug fix and enhancement update 2012-06-19 19:50:47 UTC

Comment 1 Chris Feist 2011-08-16 18:19:49 UTC
Easy to replicate:

[root@ask-03 ~]# echo "<test>" > /tmp/blah
[root@ask-03 ~]# ccs -f /tmp/blah --getconf
Traceback (most recent call last):
  File "/usr/sbin/ccs", line 2143, in <module>
    main(sys.argv[1:])
  File "/usr/sbin/ccs", line 240, in main
    if (getconf): get_cluster_conf()
  File "/usr/sbin/ccs", line 588, in get_cluster_conf
    xml = get_cluster_conf_xml()
  File "/usr/sbin/ccs", line 746, in get_cluster_conf_xml
    dom = minidom.parseString(xml)
  File "/usr/lib64/python2.6/site-packages/_xmlplus/dom/minidom.py", line 1925, in parseString
    return expatbuilder.parseString(string)
  File "/usr/lib64/python2.6/site-packages/_xmlplus/dom/expatbuilder.py", line 942, in parseString
    return builder.parseString(string)
  File "/usr/lib64/python2.6/site-packages/_xmlplus/dom/expatbuilder.py", line 223, in parseString
    parser.Parse(string, True)
xml.parsers.expat.ExpatError: no element found: line 2, column 0


It should just print out an error saying something to the effect of "Bad cluster file specified."

Comment 2 Chris Feist 2011-08-16 18:32:35 UTC
Created attachment 518552 [details]
Patch to fix issue

Comment 7 Chris Feist 2012-02-28 00:12:27 UTC
Using ricci-0.16.2-48.el6:

[root@ask-04 tmp]# echo "<test>" > /tmp/blah
[root@ask-04 tmp]# ccs -f /tmp/blah --getconf
Cluster configuration file specified is not in a valid xml format.

Comment 9 Chris Feist 2012-03-15 19:48:20 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: ccs is used to parse an invalid cluster.conf file

Consequence: ccs issues a traceback 

Fix: ccs now checks to see if the cluster.conf is invalid

Result: If cluster.conf is invalid ccs prints a more helpful error message and exits gracefully

Comment 11 errata-xmlrpc 2012-06-20 14:13:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0898.html


Note You need to log in before you can comment on or make changes to this bug.